Bug 750539 - [abrt] ibus-1.4.0-2.fc15
[abrt] ibus-1.4.0-2.fc15
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:fad44934232d83b99a8663baf39...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-01 10:41 EDT by 6david9
Modified: 2011-12-30 02:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-30 02:22:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description 6david9 2011-11-01 10:41:29 EDT
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python /usr/share/ibus/ui/gtk/main.py
comment:        ....................
component:      ibus
executable:     /usr/share/ibus/ui/gtk/main.py
kernel:         2.6.40.6-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        ibus-1.4.0-2.fc15
time:           Tue Nov  1 22:33:21 2011
uid:            500
username:       ly

backtrace:
:icon.py:38:__init__:GError: 图标“gtk-missing-image”未出现在主题中
:
:Traceback (most recent call last):
:  File "/usr/share/ibus/ui/gtk/panel.py", line 659, in __status_icon_activate_cb
:    menu = self.__create_im_menu()
:  File "/usr/share/ibus/ui/gtk/panel.py", line 614, in __create_im_menu
:    item.set_image(_icon.IconWidget("gtk-close", size[0]))
:  File "/usr/share/ibus/ui/gtk/icon.py", line 38, in __init__
:    pixbuf = theme.load_icon(gtk.STOCK_MISSING_IMAGE, size, 0)
:GError: 图标“gtk-missing-image”未出现在主题中
:
:Local variables in innermost frame:
:theme: <gtk.IconTheme object at 0x23fab40 (GtkIconTheme at 0x21540c0)>
:icon: 'gtk-close'
:pixbuf: None
:self: <IconWidget object at 0x23fa0f0 (GtkImage at 0x22082c0)>
:size: 16
Comment 1 fujiwara 2011-11-01 21:17:04 EDT
(In reply to comment #0)
> backtrace:
> :icon.py:38:__init__:GError: 图标“gtk-missing-image”未出现在主题中

I guess the Chinese means the icon "gtk-missing-image" is not found.
Which desktop do you use?

% rpm -qf /usr/share/icons/gnome/48x48/status/gtk-missing-image.png
gnome-icon-theme-legacy-3.0.0-2.fc15.noarch
% rpm -qf /usr/share/icons/gnome/48x48/actions/gtk-close.png
gnome-icon-theme-legacy-3.0.0-2.fc15.noarch
Comment 2 fujiwara 2011-11-14 04:09:57 EST
6david9:

Any update?

Note You need to log in before you can comment on or make changes to this bug.